#include <iostream>
#include <vector>
#include <algorithm>
#include <cassert>
#include "vision.h"

#define debug(x) #x << " = " << x << '\n'
using ll = long long;

std::vector<int> getVisionPattern1d()
{
    return {1, 2, 3};
}

int getMove1d(std::vector<int> v)
{
    int len = (int) v.size();
    int me = v[len / 2];
    for (int i = 0; i < len; i++) {
        if (v[i] == (me + 1) % 3) {
            return i;
        }
    }
    return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
